//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


datablock TSShapeConstructor(UngandanKnucklesDts)
{
   baseShape = "./UngandanKnuckles.dts";
   sequence0 = "./UngandanKnuckles_Root.dsq root";
   sequence1 = "./UngandanKnuckles_run.dsq run";
   sequence2 = "./UngandanKnuckles_run.dsq back";
   sequence3 = "./UngandanKnuckles_run.dsq side";
   sequence4 = "./UngandanKnuckles_Root.dsq look";
   sequence5 = "./UngandanKnuckles_Root.dsq crouch";
   sequence6 = "./UngandanKnuckles_Root.dsq fall";
   sequence7 = "./UngandanKnuckles_Root.dsq land";
   sequence8 = "./UngandanKnuckles_Root.dsq jump";
   sequence9  = "./UngandanKnuckles_run.dsq crouchRun";
   sequence10 = "./UngandanKnuckles_run.dsq crouchBack";
   sequence11 = "./UngandanKnuckles_run.dsq crouchSide";
   sequence12 = "./UngandanKnuckles_run.dsq walk";
   sequence13 = "./UngandanKnuckles_Root.dsq death1";
   sequence18 = "./UngandanKnuckles_Root.dsq spearready";  
   sequence19 = "./UngandanKnuckles_Root.dsq spearThrow";
   sequence20 = "./UngandanKnuckles_root.dsq talk";
   sequence21 = "./UngandanKnuckles_Root.dsq headUp";

   sequence22 = "./UngandanKnuckles_root.dsq talk";
   sequence23 = "./UngandanKnuckles_Root.dsq headside";
   sequence24 = "./UngandanKnuckles_Root.dsq standjump";
   sequence25 = "./UngandanKnuckles_Root.dsq headUp";
   sequence26 = "./UngandanKnuckles_Root.dsq armAttack";
   sequence27 = "./UngandanKnuckles_Root.dsq armReadyLeft";
   sequence28 = "./UngandanKnuckles_Root.dsq armReadyRight";
   sequence29 = "./UngandanKnuckles_Root.dsq armReadyBoth";

   sequence30 = "./UngandanKnuckles_Root.dsq sit";
};


datablock DebrisData( UngandanKnucklesDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = true;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};     

datablock PlayerData(UngandanKnucklesArmor : PlayerStandardArmor)
{
   shapeFile = "./UngandanKnuckles.dts";
   cameraMaxDist = 6;


   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1; 
  
   uiname = "UngandanKnuckles";


};


function UngandanKnucklesArmor::onAdd(%this,%obj)
{
   // Vehicle timeout
   %obj.mountVehicle = false;

   // Default dynamic armor stats
   %obj.setRepairRate(0);

}



//called when the driver of a player-vehicle is unmounted
function UngandanKnucklesArmor::onDriverLeave(%obj, %player)
{
	//do nothing
}
